Bug 197871 - sysutils/ksysguardd: cannot open configuration file
Summary: sysutils/ksysguardd: cannot open configuration file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-21 03:17 UTC by t.rus76
Modified: 2015-03-12 13:15 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
modified sysutils/ksysguardd/files/patch-CMakeLists.txt (1.48 KB, patch)
2015-02-21 03:21 UTC, t.rus76
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description t.rus76 2015-02-21 03:17:35 UTC
Even with the file /usr/local/etc/ksysguarddrc present and accessible, this message appears on boot:

sysguardd: cannot open config file '"/usr/local/etc/ksysguarddrc"'

The problem seems to be with quotes in the filename.

This bug is known to the KDE community and was fixed on 2009-07-11, according to https://bugs.kde.org/show_bug.cgi?id=199734

However, FreeBSD uses kde-workspace-4.11.13.tar.xz where the file ksysguard/ksysguardd/CMakeLists.txt still seems to be incorrect: 

add_definitions( -DKSYSGUARDDRCFILE="\\"${SYSCONF_INSTALL_DIR}/ksysguarddrc\\"" )


The attached file fixed this problem for me. 


Some more reports found:
https://forums.freebsd.org/threads/ksysguarddrc-cannot-open-configuration-file.49370/
https://bugs.freenas.org/issues/7688 (PC-BSD)
Comment 1 Bugzilla Automation freebsd_committer 2015-02-21 03:17:35 UTC
Auto-assigned to maintainer kde@FreeBSD.org
Comment 2 t.rus76 2015-02-21 03:21:01 UTC
Created attachment 153261 [details]
modified sysutils/ksysguardd/files/patch-CMakeLists.txt
Comment 3 Raphael Kubo da Costa freebsd_committer 2015-02-24 22:45:31 UTC
(In reply to t.rus76 from comment #0)
> Even with the file /usr/local/etc/ksysguarddrc present and accessible, this
> message appears on boot:
> 
> sysguardd: cannot open config file '"/usr/local/etc/ksysguarddrc"'
> 
> The problem seems to be with quotes in the filename.

What FreeBSD version and compiler (and version) are you using?

Reapplying the fix from KDE bug 199734 just doesn't work here on HEAD+clang+CMake 3.1.3, as the code in ksysguardd.c now evaluates to

  #define KSYSGUARDDRCFILE /s/kde/etc/ksysguarddrc

instead of

  #define KSYSGUARDDRCFILE "/s/kde/etc/ksysguarddrc"
Comment 4 t.rus76 2015-02-25 07:48:54 UTC
Hello. I am not a native speaker, so it is not easy for me to describe things cleanly.

I am using FreeBSD clang version 3.5.1 (tags/RELEASE_351/final 225668) 20150115 on 11-CURRENT kernel, amd64.


I was building kde-4.14.2 from portsnap. I see no ksysguardd.c file in the distribution. Build system downloads the kde-workspace-4.11.13.tar.xz (note old version) archive 
whith ksysguardd.c like this -- http://code.woboq.org/kde/kde-workspace/ksysguard/ksysguardd/ksysguardd.c.html

No entryes like 

#define KSYSGUARDDRCFILE /s/kde/etc/ksysguarddrc

but instead 

66	static const char *ConfigFile = KSYSGUARDDRCFILE;

Not shure how these two can be combined into well-formed C.

Also it automatically builds cmake-3.1.1. 


Thank you.
Comment 5 commit-hook freebsd_committer 2015-03-11 23:12:37 UTC
A commit references this bug:

Author: alonso
Date: Wed Mar 11 23:12:23 UTC 2015
New revision: 381052
URL: https://svnweb.freebsd.org/changeset/ports/381052

Log:
  Update KDE SC to 4.14.3

  The kde@ team presents KDE SC 4.14.3, the last planed release
  of the KDE SC 4 series.

  In addition to the updates provided by the KDE SC developers, this
  update also addresses numerous FreeBSD and PORTS specific
  issues, found and solved by the kde@ team and area51 testers,
  most notorously Tobias C. Berner <tcberner@gmail.com>

  PR:		197751
  PR:		197871
  PR:		184996
  Reviewed by:	rakuco (mentor)
  Differential:	https://reviews.freebsd.org/D1950

Changes:
  head/Mk/bsd.kde4.mk
  head/accessibility/jovie/distinfo
  head/accessibility/kaccessible/distinfo
  head/accessibility/kmag/distinfo
  head/accessibility/kmousetool/distinfo
  head/accessibility/kmouth/distinfo
  head/arabic/kde4-l10n/distinfo
  head/archivers/ark/distinfo
  head/archivers/ark/files/
  head/archivers/ark/files/patch-git_cd8ad27
  head/astro/kstars/Makefile
  head/astro/kstars/distinfo
  head/astro/marble/distinfo
  head/audio/juk/distinfo
  head/audio/kio-audiocd/Makefile
  head/audio/kio-audiocd/distinfo
  head/audio/kmix/Makefile
  head/audio/kmix/distinfo
  head/audio/kmix/files/patch-mixer_oss
  head/audio/kscd/Makefile
  head/audio/kscd/distinfo
  head/audio/libkcddb/distinfo
  head/audio/libkcompactdisc/Makefile
  head/audio/libkcompactdisc/distinfo
  head/chinese/kde4-l10n-zh_CN/distinfo
  head/chinese/kde4-l10n-zh_TW/distinfo
  head/chinese/kde4-l10n-zh_TW/pkg-plist
  head/comms/kremotecontrol/distinfo
  head/deskutils/kcharselect/distinfo
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4/distinfo
  head/deskutils/kdepim4/files/patch-mailcommon__search__searchpattern.cpp
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepim4-runtime/distinfo
  head/deskutils/kdepimlibs4/distinfo
  head/deskutils/kdeplasma-addons/Makefile
  head/deskutils/kdeplasma-addons/distinfo
  head/deskutils/kdeplasma-addons/files/patch-applets__kimpanel__backend__ibus__ibus15__panel.cpp
  head/deskutils/kruler/distinfo
  head/deskutils/superkaramba/distinfo
  head/devel/cervisia/distinfo
  head/devel/dolphin-plugins/Makefile
  head/devel/dolphin-plugins/distinfo
  head/devel/kapptemplate/distinfo
  head/devel/kcachegrind/distinfo
  head/devel/kde-dev-scripts/distinfo
  head/devel/kde-dev-utils/distinfo
  head/devel/kdesdk4-kioslaves/distinfo
  head/devel/kdesdk4-strigi-analyzers/distinfo
  head/devel/kdesdk4-thumbnailers/distinfo
  head/devel/lokalize/distinfo
  head/devel/okteta/distinfo
  head/devel/p5-perlkde/Makefile
  head/devel/p5-perlkde/distinfo
  head/devel/p5-perlqt/Makefile
  head/devel/p5-perlqt/distinfo
  head/devel/poxml/Makefile
  head/devel/poxml/distinfo
  head/devel/py-krosspython/distinfo
  head/devel/py-pykde4/Makefile
  head/devel/py-pykde4/distinfo
  head/devel/ruby-korundum/Makefile
  head/devel/ruby-korundum/distinfo
  head/devel/ruby-krossruby/distinfo
  head/devel/ruby-qtruby/Makefile
  head/devel/ruby-qtruby/distinfo
  head/devel/smokegen/distinfo
  head/devel/smokekde/distinfo
  head/devel/smokeqt/distinfo
  head/devel/umbrello/distinfo
  head/editors/kate/distinfo
  head/french/kde4-l10n/distinfo
  head/games/blinken/distinfo
  head/games/bomber/distinfo
  head/games/bovo/distinfo
  head/games/granatier/distinfo
  head/games/kajongg/distinfo
  head/games/kanagram/distinfo
  head/games/kapman/distinfo
  head/games/katomic/distinfo
  head/games/kblackbox/distinfo
  head/games/kblocks/distinfo
  head/games/kbounce/distinfo
  head/games/kbreakout/distinfo
  head/games/kdiamond/distinfo
  head/games/kfourinline/distinfo
  head/games/kgoldrunner/distinfo
  head/games/khangman/distinfo
  head/games/kigo/distinfo
  head/games/killbots/distinfo
  head/games/kiriki/distinfo
  head/games/kjumpingcube/distinfo
  head/games/klickety/distinfo
  head/games/klines/distinfo
  head/games/kmahjongg/distinfo
  head/games/kmines/distinfo
  head/games/knavalbattle/distinfo
  head/games/knetwalk/distinfo
  head/games/kolf/distinfo
  head/games/kollision/distinfo
  head/games/konquest/distinfo
  head/games/kpat/distinfo
  head/games/kreversi/distinfo
  head/games/kshisen/distinfo
  head/games/ksirk/distinfo
  head/games/ksnakeduel/distinfo
  head/games/kspaceduel/distinfo
  head/games/ksquares/distinfo
  head/games/ksudoku/distinfo
  head/games/ktuberling/distinfo
  head/games/kubrick/distinfo
  head/games/libkdegames/distinfo
  head/games/libkmahjongg/distinfo
  head/games/lskat/distinfo
  head/games/pairs/distinfo
  head/games/palapeli/distinfo
  head/games/picmi/distinfo
  head/german/kde4-l10n/distinfo
  head/german/kde4-l10n/pkg-plist
  head/graphics/gwenview-kde4/Makefile
  head/graphics/gwenview-kde4/distinfo
  head/graphics/kamera-kde4/Makefile
  head/graphics/kamera-kde4/distinfo
  head/graphics/kcolorchooser/distinfo
  head/graphics/kdegraphics4-mobipocket/distinfo
  head/graphics/kdegraphics4-strigi-analyzer/distinfo
  head/graphics/kdegraphics4-svgpart/distinfo
  head/graphics/kdegraphics4-thumbnailers/distinfo
  head/graphics/kolourpaint/distinfo
  head/graphics/kqtquickcharts/distinfo
  head/graphics/ksaneplugin/distinfo
  head/graphics/ksnapshot/distinfo
  head/graphics/libkdcraw-kde4/Makefile
  head/graphics/libkdcraw-kde4/distinfo
  head/graphics/libkexiv2-kde4/distinfo
  head/graphics/libkipi-kde4/distinfo
  head/graphics/libksane/distinfo
  head/graphics/okular/Makefile
  head/graphics/okular/distinfo
  head/hebrew/kde4-l10n/distinfo
  head/hungarian/kde4-l10n/distinfo
  head/japanese/kde4-l10n/distinfo
  head/japanese/kiten/distinfo
  head/korean/kde4-l10n/distinfo
  head/korean/kde4-l10n/pkg-plist
  head/lang/kturtle/distinfo
  head/math/analitza/distinfo
  head/math/cantor/Makefile
  head/math/cantor/distinfo
  head/math/cantor/pkg-plist
  head/math/kalgebra/distinfo
  head/math/kbruch/distinfo
  head/math/kcalc/distinfo
  head/math/kig/distinfo
  head/math/kmplot/distinfo
  head/math/rocs/distinfo
  head/misc/kde4-l10n-bg/distinfo
  head/misc/kde4-l10n-bs/distinfo
  head/misc/kde4-l10n-ca/distinfo
  head/misc/kde4-l10n-ca/pkg-plist
  head/misc/kde4-l10n-ca_valencia/distinfo
  head/misc/kde4-l10n-cs/distinfo
  head/misc/kde4-l10n-cs/pkg-plist
  head/misc/kde4-l10n-da/distinfo
  head/misc/kde4-l10n-el/distinfo
  head/misc/kde4-l10n-en_GB/distinfo
  head/misc/kde4-l10n-en_GB/pkg-plist
  head/misc/kde4-l10n-es/distinfo
  head/misc/kde4-l10n-es/pkg-plist
  head/misc/kde4-l10n-et/distinfo
  head/misc/kde4-l10n-eu/distinfo
  head/misc/kde4-l10n-fa/distinfo
  head/misc/kde4-l10n-fi/distinfo
  head/misc/kde4-l10n-fi/pkg-plist
  head/misc/kde4-l10n-ga/distinfo
  head/misc/kde4-l10n-gl/distinfo
  head/misc/kde4-l10n-hi/distinfo
  head/misc/kde4-l10n-hr/distinfo
  head/misc/kde4-l10n-ia/distinfo
  head/misc/kde4-l10n-id/distinfo
  head/misc/kde4-l10n-is/distinfo
  head/misc/kde4-l10n-it/distinfo
  head/misc/kde4-l10n-it/pkg-plist
  head/misc/kde4-l10n-kk/distinfo
  head/misc/kde4-l10n-km/distinfo
  head/misc/kde4-l10n-lt/distinfo
  head/misc/kde4-l10n-lv/distinfo
  head/misc/kde4-l10n-mr/distinfo
  head/misc/kde4-l10n-nb/distinfo
  head/misc/kde4-l10n-nds/distinfo
  head/misc/kde4-l10n-nl/distinfo
  head/misc/kde4-l10n-nl/pkg-plist
  head/misc/kde4-l10n-nn/distinfo
  head/misc/kde4-l10n-pa/distinfo
  head/misc/kde4-l10n-ro/distinfo
  head/misc/kde4-l10n-si/Makefile
  head/misc/kde4-l10n-sk/distinfo
  head/misc/kde4-l10n-sk/pkg-plist
  head/misc/kde4-l10n-sl/distinfo
  head/misc/kde4-l10n-sr/distinfo
  head/misc/kde4-l10n-sr/pkg-plist
  head/misc/kde4-l10n-sv/distinfo
  head/misc/kde4-l10n-sv/pkg-plist
  head/misc/kde4-l10n-tg/Makefile
  head/misc/kde4-l10n-th/Makefile
  head/misc/kde4-l10n-tr/distinfo
  head/misc/kde4-l10n-ug/distinfo
  head/misc/kde4-l10n-wa/distinfo
  head/misc/kgeography/distinfo
  head/misc/klettres/distinfo
  head/misc/ktouch/Makefile
  head/misc/ktouch/distinfo
  head/misc/kwordquiz/distinfo
  head/misc/libkdeedu/distinfo
  head/misc/parley/distinfo
  head/multimedia/dragon/distinfo
  head/multimedia/kdemultimedia4-ffmpegthumbs/distinfo
  head/multimedia/kdemultimedia4-mplayerthumbs/distinfo
  head/net/kdenetwork4-filesharing/distinfo
  head/net/kdenetwork4-strigi-analyzers/distinfo
  head/net/kget/distinfo
  head/net/krdc/Makefile
  head/net/krdc/distinfo
  head/net/krfb/distinfo
  head/net/zeroconf-ioslave/distinfo
  head/net-im/kopete-kde4/Makefile
  head/net-im/kopete-kde4/distinfo
  head/polish/kde4-l10n/distinfo
  head/polish/kde4-l10n/pkg-plist
  head/portuguese/kde4-l10n/distinfo
  head/portuguese/kde4-l10n-pt_BR/distinfo
  head/portuguese/kde4-l10n-pt_BR/pkg-plist
  head/print/kde4-print-manager/distinfo
  head/russian/kde4-l10n/distinfo
  head/science/kalzium/distinfo
  head/science/step/distinfo
  head/security/kgpg-kde4/distinfo
  head/security/kwalletmanager/distinfo
  head/sysutils/baloo/distinfo
  head/sysutils/baloo/files/patch-CMakeLists.txt
  head/sysutils/baloo-widgets/distinfo
  head/sysutils/filelight-kde4/distinfo
  head/sysutils/kcron/distinfo
  head/sysutils/kdf/distinfo
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/kfilemetadata/distinfo
  head/sysutils/kfloppy/distinfo
  head/sysutils/ksysguardd/files/patch-CMakeLists.txt
  head/sysutils/ksystemlog/distinfo
  head/sysutils/kuser/distinfo
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/nepomuk-core/distinfo
  head/sysutils/nepomuk-widgets/distinfo
  head/sysutils/sweeper/distinfo
  head/textproc/kompare/distinfo
  head/textproc/libkomparediff2/distinfo
  head/ukrainian/kde4-l10n/distinfo
  head/ukrainian/kde4-l10n/pkg-plist
  head/www/kdewebdev4/distinfo
  head/x11/kde4-baseapps/Makefile
  head/x11/kde4-baseapps/distinfo
  head/x11/kde4-runtime/Makefile
  head/x11/kde4-runtime/distinfo
  head/x11/kde4-runtime/files/patch-kioslave__bookmarks__kio_bookmarks.cpp
  head/x11/kde4-runtime/files/patch-kioslave__sftp__kio_sftp.cpp
  head/x11/kde4-workspace/Makefile
  head/x11/kde4-workspace/distinfo
  head/x11/kde4-workspace/files/patch-CVE-2014-8651
  head/x11/kde4-workspace/files/patch-kinfocenter
  head/x11/kde4-workspace/files/patch-kinfocenter__Modules__base__CMakeLists.txt
  head/x11/kde4-workspace/files/patch-usbview
  head/x11/kdelibs4/Makefile
  head/x11/kdelibs4/distinfo
  head/x11/kdelibs4/files/patch-git_0df92439
  head/x11/kgamma/distinfo
  head/x11/konsole/distinfo
  head/x11-clocks/amor/distinfo
  head/x11-clocks/kteatime/distinfo
  head/x11-clocks/ktimer/distinfo
  head/x11-clocks/ktux/distinfo
  head/x11-themes/kde4-base-artwork/distinfo
  head/x11-themes/kde4-icons-oxygen/distinfo
  head/x11-themes/kde4-wallpapers/distinfo
  head/x11-themes/kdeartwork4/distinfo
Comment 6 t.rus76 2015-03-12 13:15:24 UTC
Thank you.